////////////////////////////////////////////////////////////////////////////////////////
//                                                                                    //
// File:   main.cpp                                                                   //
// Date:   20-12-06 (xmas)                                                            //
// Author: bkenwright@xbdev.net                                                       //
// URL:    www.xbdev.net                                                              //
//                                                                                    //
////////////////////////////////////////////////////////////////////////////////////////
/*
   Introduction to the flash swf file format
*/
////////////////////////////////////////////////////////////////////////////////////////

#include <stdio.h>		// sprintf(..), fopen(..)
#include <stdarg.h>     // So we can use ... (in dprintf)

////////////////////////////////////////////////////////////////////////////////////////
//                                                                                    //
//  dprintf(..)                                                                       //
//  Debug function, so we can write various output information to a log file as we    //
//  read in new information - I usually prefair to write it to a txt file, so I can   //
//  later open it in notepad or something and take a careful look at it, instead      //
//  of dumping it to the command window.                                              //
//                                                                                    //
////////////////////////////////////////////////////////////////////////////////////////

//Saving debug information to a log file
void dprintf(const char *fmt, ...) 
{
	va_list parms;
	char buf[256];

	// Try to print in the allocated space.
	va_start(parms, fmt);
	vsprintf (buf, fmt, parms);
	va_end(parms);

	// Write the information out to a txt file
	FILE *fp = fopen("output.txt", "a+");
	fprintf(fp, "%s", buf);
	fclose(fp);

}// End dprintf(..)

////////////////////////////////////////////////////////////////////////////////////////
//                                                                                    //
//  main(..)                                                                          //
//  Program entry point - its where we start and end                                  //
//                                                                                    //
////////////////////////////////////////////////////////////////////////////////////////

void main()
{
	dprintf("Opening File: simple.swf\n");

	FILE * fp = fopen("simple.swf", "rb");


	char buf[4];
	fread (	buf,						// void * buffer,
			3 * sizeof(char),			// size
			1,							// count,
			fp );						// FILE * stream

	dprintf("Sig: '%c' '%c' '%c' '%c'\n",	buf[0], buf[1], buf[2], buf[3]);

	fclose(fp);

	dprintf("Closing File.\n Done\n");
}// End main(..)

/*
Opening File: simple.swf
Sig: 'F' 'W' 'S' ''
Closing File.
Done
*/















